REST API

API Endpoints

Enterprise

Arcentry Development

Folders - API DOCS

Arcentry's documents are organised in a flat folder structure without subfolders. This API makes it possible to programatically create, list, update and delete folders.

Create a new folder

Request Parameters

  • The title of the folder.

POST https://arcentry.com/api/v1/folder/create
Request Data
{ "title": "EU North Deployments"}
Response Data
{
    "success": true,
    "folderId":"9ce70f08-0ae1-4277-badc-131fdc47d928" 
}
Show example request
curl \
    -d '{"title": "EU North Deployments"}' \
    -H "Authorization: Bearer 6b4f49e064e1537a050d06067fc6cac42e5aa4e59cb43ff6b975a596331f31e9" \
    -H "Content-Type: application/json" \
    -X POST \
    https://arcentry.com/api/v1/folder/create

List folders

Returns folderIds, titles and the ids and titles of the decuments contained in each folder

GET https://arcentry.com/api/v1/folder/list
Response Data
{
    "c9d26e60-d107-467d-92ad-e288ad738a8f": {
        "title": "Google Cloud Deployments",
        "docs": {
        "6f3b7f4a-bed0-4304-b590-ca2b96305435": "Dev Stack",
        "6dec1f4c-ff79-4524-ad47-d1458c9ca87d": "Prod Stack"
        }
    },
    "8766ce3c-b8d3-4b05-a7c2-69b631339292": {
        "title": "On Premise",
        "docs": {
        "6dec1f4c-ff79-4524-ad47-d1458c9ca87d": "Local Stack"
        }
    }
}
Show example request
curl \
    -H "Authorization: Bearer 6b4f49e064e1537a050d06067fc6cac42e5aa4e59cb43ff6b975a596331f31e9" \
    -H "Content-Type: application/json" \
    https://arcentry.com/api/v1/folder/list

Updates a folder title

Request Parameters

  • The title of the folder.
  • The id of the folder.

POST https://arcentry.com/api/v1/folder/change-title
Request Data
{ 
    "title": "EU South Deployments", 
    "folderId":"9ce70f08-0ae1-4277-badc-131fdc47d928"
}
Response Data
{ "success": true }

Delete a folder

Deletes the folder AND ALL DOCUMENTS WITHIN IT! (Use with caution :-)

Request Parameters

  • The title of the folder.
  • The id of the folder.

POST https://arcentry.com/api/v1/folder/delete
Request Data
{ "folderId":"9ce70f08-0ae1-4277-badc-131fdc47d928" }
Response Data
{ "success": true }
Your Arcentry account

Welcome back

or continue with